Subject: Re: bug#22635: 25.1.50; wrong-type-argument when using org-beamer-select-environment

From: Kyle Meyer <[email-masked]>
Date: Fri, 12 Feb 2016 21:38:57 -0500

Derek Feichtinger <[email-masked]> writes:

> When executing C-c C-b (org-beamer-select-environment) in an org beamer
> using the current emacs head (git hash ae928ae), I reproducibly get
> the following
> error and backtrace, independent of the org beamer file used:
>
> ###############
> Debugger entered--Lisp error: (wrong-type-argument listp t)
>   delete((org-filtered) t)
>   remove((org-filtered) t)
>   org-move-to-column(79 t)
>   org-fast-tag-show-exit(t)
>   org-fast-tag-selection(("B_note") nil ((:startgroup) ("B_againframe"
> . 65) ("B_appendix" . 120) ("B_column" . 99) ("B_columns" . 67)
> ("B_frame" . 102) ("B_fullframe" . 70) ("B_ignoreheading" . 105)
> ("B_note" . 110) ("B_noteNH" . 78) ("B_block" . 98) ("B_alertblock"
> . 97) ("B_verse" . 118) ("B_quotation" . 113) ("B_quote" . 81)
> ("B_structureenv" . 115) ("B_theorem" . 116) ("B_definition" . 100)
> ("B_example" . 101) ("B_exampleblock" . 69) ("B_proof" . 112)
> ("B_beamercolorbox" . 111) (:endgroup) ("BMCOL" . 124)) nil)
>   org-set-tags()
>   org-beamer-select-environment()

This was reported on the Org list and fixed in commit 34f3260 of the Org
repo.

  http://permalink.gmane.org/gmane.emacs.orgmode/104703

-- 
Kyle